Fibo Edit 1.5 Image Editing
ผสานการทำงาน
bria/fibo-edit-1.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit-1.5/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit-1.5/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit-1.5/edit",
"input": {}
}
เรียกใช้โมเดล Fibo Edit 1.5 Image Editing (bria/fibo-edit-1.5/edit) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/bria/fibo-edit-1.5/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.com/v1/quote/bria/fibo-edit-1.5/edit ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
คำขอนี้: $0.04 40 เครดิต API เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
ผลลัพธ์แรกของคุณจะแสดงที่นี่
สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/bria/fibo-edit-1.5/edit?wait=20
ใบเสนอราคา → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit-1.5/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit-1.5/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit-1.5/edit",
"input": {},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ Fibo Edit 1.5 Image Editing
แก้ไขภาพตาม `instruction` ภาษาธรรมชาติ โดยใช้ภาพอ้างอิงหนึ่งถึงสี่ภาพใน `image_urls` ซึ่งลำดับมีความสำคัญ เหมาะกับงานอย่างการลองเสื้อผ้าเสมือน การเปลี่ยนพื้นหลัง และการถ่ายโอนสไตล์ `mask_url` จำกัดการแก้ไขในคำขอภาพเดี่ยว และ `structured_instruction` สามารถนำผลลัพธ์ก่อนหน้ากลับมาใช้ซ้ำได้ `aspect_ratio` ใช้ได้เฉพาะเมื่อมีภาพตั้งแต่สองภาพขึ้นไป
พารามิเตอร์
ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน
image_urlsไม่บังคับ
images
instructionไม่บังคับ
aspect_ratioไม่บังคับ
seedไม่บังคับ
mask_urlไม่บังคับ
mask
structured_instructionไม่บังคับ
structured_instruction.short_descriptionไม่บังคับ
structured_instruction.objectsไม่บังคับ
structured_instruction.objects[].descriptionไม่บังคับ
structured_instruction.objects[].locationไม่บังคับ
structured_instruction.objects[].relationshipจำเป็น
structured_instruction.objects[].relative_sizeไม่บังคับ
structured_instruction.objects[].shape_and_colorไม่บังคับ
structured_instruction.objects[].textureไม่บังคับ
structured_instruction.objects[].appearance_detailsไม่บังคับ
structured_instruction.objects[].number_of_objectsไม่บังคับ
structured_instruction.objects[].poseไม่บังคับ
structured_instruction.objects[].expressionไม่บังคับ
structured_instruction.objects[].clothingไม่บังคับ
structured_instruction.objects[].actionไม่บังคับ
structured_instruction.objects[].genderไม่บังคับ
structured_instruction.objects[].skin_tone_and_textureไม่บังคับ
structured_instruction.objects[].orientationไม่บังคับ
structured_instruction.background_settingไม่บังคับ
structured_instruction.lightingไม่บังคับ
structured_instruction.lighting.conditionsไม่บังคับ
structured_instruction.lighting.directionไม่บังคับ
structured_instruction.lighting.shadowsไม่บังคับ
structured_instruction.aestheticsไม่บังคับ
structured_instruction.aesthetics.compositionไม่บังคับ
structured_instruction.aesthetics.color_schemeไม่บังคับ
structured_instruction.aesthetics.mood_atmosphereไม่บังคับ
structured_instruction.aesthetics.aesthetic_scoreไม่บังคับ
structured_instruction.aesthetics.preference_scoreไม่บังคับ
structured_instruction.photographic_characteristicsไม่บังคับ
structured_instruction.photographic_characteristics.depth_of_fieldไม่บังคับ
structured_instruction.photographic_characteristics.focusไม่บังคับ
structured_instruction.photographic_characteristics.camera_angleไม่บังคับ
structured_instruction.photographic_characteristics.lens_focal_lengthไม่บังคับ
structured_instruction.style_mediumไม่บังคับ
structured_instruction.text_renderไม่บังคับ
structured_instruction.contextไม่บังคับ
structured_instruction.artistic_styleไม่บังคับ
structured_instruction.edit_instructionไม่บังคับ
พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit-1.5/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- image
- object {url, content_type, file_name, file_size, width, height}ผลลัพธ์ที่แก้ไข โดยมีสัดส่วนตาม aspect_ratio เมื่อระบุค่า หรือใช้สัดส่วนของรูปภาพต้นฉบับ
- images
- array of object {url, content_type, file_name, file_size, width, height}การตอบกลับที่เข้ากันได้ย้อนหลังสำหรับไคลเอ็นต์ที่ใช้เส้นทาง Fibo Edit API รุ่นเก่า: รายการที่มีรูปภาพเดียวกันเป็นรายการเดียว
- structured_instruction
- objectการตีความคำอธิบายงานแบบขยาย ซึ่งส่งกลับเป็นคำสั่งแบบมีโครงสร้างที่ดำเนินการจริง โดยรวมทั้งคำสั่งในตัวและเนื้อหาที่ส่งผ่าน `instruction`
รูปแบบอื่นของ Bria Fibo Edit 1.5
โมเดลเพิ่มเติม: แก้ไขภาพ
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bria/fibo-edit-1.5/edit.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt






